%global commit cc85463d46186be0360a83f1280e5e9bfa2a41bb
%global short_commit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20160615

%global kodi_addon pvr.iptvsimple
%global kodi_version 16.0

Name:           kodi-%(tr "." "-" <<<%{kodi_addon})
# Use Epoch to manage upgrades from older upstream
# (https://github.com/opdenkamp/xbmc-pvr-addons/)
Epoch:          1
Version:        1.12.14
Release:        1%{?dist}
Summary:        Kodi's IPTV Simple client addon

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/kodi-pvr/%{kodi_addon}/
Source0:        https://github.com/kodi-pvr/%{kodi_addon}/archive/%{short_commit}/%{name}-%{short_commit}.tar.gz
# GPLv2 license file
Source1:        http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
# Fix p8-platform library detection
Patch0:         %{name}-1.12.14-p8_platform.patch
# Use system rapidxml library
Patch1:         %{name}-1.12.14-use_system_rapidxml.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kodi-devel >= %{kodi_version}
BuildRequires:  kodi-platform-devel >= %{kodi_version}
BuildRequires:  platform-devel
BuildRequires:  rapidxml-devel
BuildRequires:  zlib-devel
Requires:       kodi >= %{kodi_version}

%description
Kodi PVR addon for IPTV support, with M3U playlists, streaming of live TV for
multicast/unicast sources, listening to radio channels and EPG.


%prep
%setup -q -n %{kodi_addon}-%{commit}
%patch0 -p0 -b .p8_platform
%patch1 -p0 -b .use_system_rapidxml

# Drop bundled rapidxml library
rm -r lib/rapidxml/

cp -p %{SOURCE1} .


%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_libdir}/kodi/ .
%make_build


%install
%make_install


%files
%doc README.md %{kodi_addon}/changelog.txt
%license gpl-2.0.txt
%{_libdir}/kodi/addons/%{kodi_addon}/
%{_datadir}/kodi/addons/%{kodi_addon}/


%changelog
* Sun Jul 24 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1:1.12.14-1
- Update to latest stable release for Kodi 16

* Mon Aug 24 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1:1.11.5-1
- Initial RPM release
